Name:           perl-Encode
Version:        2.98
Release:        1%{?org_tag}%{?dist}
Summary:        Character encodings in Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Encode/
Source0:        http://localhost/cpan//authors/id/D/DA/DANKOGAI/Encode-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(parent) >= 0.221
%if %{rhel} < 7
BuildRequires:  /usr/bin/rename
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Exporter) >= 5.57
Requires:       perl(parent) >= 0.221
Autoreq:        no

%description
The Encode module provides the interface between Perl strings and the rest
of the system. Perl strings are sequences of characters.

%if %{rhel} >= 7
%package devel
Summary:        Perl Encode Module Generator
Group:          Development/Libraries
Requires:       perl(Encode) = %{version}
BuildRequires:  perl-devel

%description devel
enc2xs builds a Perl extension for use by Encode from either Unicode Character
Mapping files (.ucm) or Tcl Encoding Files (.enc). You can use enc2xs to add
your own encoding to perl. No knowledge of XS is necessary.
%endif

%prep
%setup -q -n Encode-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# On RHEL/CentOS{5,6} the man pages conflict with those in the main perl package :-/
%if %{rhel} < 7
for i in %{buildroot}%{_bindir}/*; do
  mv $i $i-%{version}
done
/usr/bin/rename .1 -%{version}.1 %{buildroot}%{_mandir}/man1/*.1
/usr/bin/rename .3pm -%{version}.3pm %{buildroot}%{_mandir}/man3/*.3pm
%endif

%check
make test

%post
%if %{rhel} < 7
# Replace old bin files/man pages with updated ones.
# This is an ugly evil hack, but there's really no way around it. Blame RedHat
# for bundling perl-Encode inside their perl package, instead of having it separate.
for bin in %{_bindir}/*-%{version}; do
  cp $bin ${bin%%-%{version}}
done
for man in %{_mandir}/man1/*-%{version}.1.gz; do
  cp $man ${man%%-%{version}.1.gz}.1.gz
done
for man in %{_mandir}/man3/*-%{version}.3pm.gz; do
  cp $man ${man%%-%{version}.3pm.gz}.3pm.gz
done
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README
%{_bindir}/encguess*
%{_bindir}/piconv*
%{_mandir}/man1/encguess*
%{_mandir}/man1/piconv*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/Encode/*.pm
%{perl_vendorarch}/Encode/*.pod
%{perl_vendorarch}/Encode/*/*.pm
%{perl_vendorarch}/Encode/*/*/*.pm
%{perl_vendorarch}/encoding.pm
%{_mandir}/man3/*

%if %{rhel} >= 7
%files devel
%endif
%{_bindir}/enc2xs*
%{_mandir}/man1/enc2xs*
%{perl_vendorarch}/Encode/*.e2x
%{perl_vendorarch}/Encode/*.h

%changelog
* Tue Oct 30 2018 Gavin Carr <gavin@openfusion.com.au> 2.98-1
- Update to version 2.98.

* Mon Mar 14 2016 Gavin Carr <gavin@openfusion.com.au> 2.82-1
- Update to version 2.82.

* Wed Oct 16 2013 Gavin Carr <gavin@openfusion.com.au> 2.55-1
- Update to version 2.55.

* Tue Jan 10 2012 Gavin Carr <gavin@openfusion.com.au> 2.44-1
- Update to version 2.44.

* Fri Jun 03 2011 Gavin Carr <gavin@openfusion.com.au> 2.43-1
- Specfile autogenerated by cpanspec 1.79.
